class BluetoothPrinter {
  String friendlyName;
  String macAddress;

  BluetoothPrinter(this.friendlyName, this.macAddress);

  BluetoothPrinter.fromMap(Map<Object?, Object?> map) : friendlyName = (map['friendlyName'] as String?) ?? 'unknown', macAddress = (map['macAddress'] as String?) ?? 'unknown';
}